// --------------------------------------------------------
// Copyright (c)
//
// contributions by author
//                  author@somewhere.net
// maintained by    maintainer
//                  maintainer@somewhere.net

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#include "subscriberCompdef/Subscriber_impl.h"

// declare options
rclcpp::NodeOptions subscriber_options;

int main(int argc, char **argv) {
  rclcpp::init(argc, argv);

  auto subscriber = std::make_shared < subscriberCompdef::Subscriber_impl
      > (subscriber_options);

  RCLCPP_INFO(subscriber->get_logger(), "Subscriber has been initialized");

  rclcpp::executors::MultiThreadedExecutor executor;

  executor.add_node(subscriber->get_node_base_interface());

  executor.spin();
  rclcpp::shutdown();
}

